##
##  boxes.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         boxes
Summary:      Draw Boxes around Text
URL:          http://boxes.thomasjensen.com/
Vendor:       Thomas Jensen
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Text
License:      GPL
Version:      1.0.1
Release:      20030103

#   list of sources
Source0:      http://boxes.thomasjensen.com/download/boxes-%{version}.src.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, gcc, make
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Boxes is a text filter which can draw ASCII art boxes around its
    input text. These boxes may also be removed, even if they have been
    badly damaged by editing of the text inside. Since boxes may be open
    on any side, boxes can also be used to create regional comments
    in any programming language. With the help of an editor macro or
    mapping, damaged boxes can easily be repaired.

%prep
    %setup -q
    %{l_shtool} subst \
        -e 's;^\(GLOBALCONF =\).*$;\1 %{l_prefix}/etc/boxes/boxes.conf;' \
        Makefile
    %{l_shtool} subst \
        -e 's;-traditional;;' \
        src/regexp/Makefile

%build
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/boxes \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        src/boxes $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        boxes-config $RPM_BUILD_ROOT%{l_prefix}/etc/boxes/boxes.conf
    %{l_shtool} install -c -m 644 \
        doc/boxes.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} \
        '%config %{l_prefix}/etc/boxes/*'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

